Unit SF76R5_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure SF76R5(X :Real; N :Integer; var A :Array of Real;
                var F :Real);

implementation

procedure SF76R5(X :Real; N :Integer; var A :Array of Real;
                var F :Real);
var
I,J :Integer;
B,C,D,U,Y :Real;
label
_10;
begin
B  := 0.0;
D  := A[N-1];
U  := X + X - 1.0;
Y  := U + U;
J  := N - 1;
for I:=3 to N do
 begin
  C  := B;
  B  := D;
  D  := Y*B - C + A[J-1];
  J  := J - 1;
_10:
 end;
F  := U*D - B + 0.5*A[0];
end;

end.
