Unit SF76R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, SF76R1_p, SF76R2_p, SF76R3_p, SF76R4_p;

procedure SF76R(Z :Real; var AI :Real; var BI :Real;
                var AID :Real; var BID :Real; L1 :Integer;
                L2 :Integer; var IERR :Integer);

implementation

procedure SF76R(Z :Real; var AI :Real; var BI :Real;
                var AID :Real; var BID :Real; L1 :Integer;
                L2 :Integer; var IERR :Integer);
label
_10,_20,_30,_40,_50,_60,_70;
begin
IERR  := 0;
if ( Z ) < 0
 then goto _10
 else if ( Z ) > 0
       then goto _40
       else goto _10;
_10:
if ( Z + 7.0 ) < 0
 then goto _20
 else if ( Z + 7.0 ) > 0
       then goto _30
       else goto _20;
_20:
SF76R1(Z,AI,BI,AID,BID,L1,IERR);
goto _70;
_30:
SF76R2(Z,AI,BI,AID,BID,L1);
goto _70;
_40:
if ( Z - 7.0 ) < 0
 then goto _50
 else if ( Z - 7.0 ) > 0
       then goto _60
       else goto _60;
_50:
SF76R3(Z,AI,BI,AID,BID,L1);
goto _70;
_60:
SF76R4(Z,AI,BI,AID,BID,L1,L2,IERR);
_70:
end;

end.
